@echo off
echo === Saqr TV Mobile App Installation ===
echo This script will install the Saqr TV mobile application development environment.
echo.

rem Check if Node.js is installed
where node >nul 2>nul
if %ERRORLEVEL% NEQ 0 (
    echo ERROR: Node.js is not installed.
    echo Please install Node.js version 16 or higher from https://nodejs.org/
    exit /b 1
)

rem Install dependencies
echo Installing dependencies... This may take a few minutes.
call npm install

rem Prompt for backend URL
echo.
echo Please enter your backend server URL (e.g., http://192.168.1.100:3000):
set /p API_URL="> "

rem Create .env file
echo Creating .env file...
echo API_URL=%API_URL% > .env
echo Created .env file with API_URL=%API_URL%

echo.
echo Installation complete!
echo To start the development server, run: npm start
echo.
echo Important:
echo 1. Make sure your backend server is running
echo 2. Install the Expo Go app on your mobile device
echo 3. Scan the QR code that appears when you run 'npm start'
echo.
echo For more details, see the README.md file.

pause